Subject: Re: Odd ethernet problem

From: [email-masked]
Date: Fri, 6 Aug 1999 00:46:31 -0500 (CDT)

User Paul Mackerras says:
> [email-masked] wrote:
> 
> > When the iMac talked to either Unix box from linux-ppc (several kernels
> > tested), I would get nearly 100 percent on receive but REALLY slow
> > response on transmit (like about 40k/sec). Watching the lights on the hub,
> > it appears that there is a really big delay restarting transmit after
> > a collision occurs. Perhaps duplex set wrong?
> 
> I have seen this too but I haven't figured out what's going wrong yet.
> My suspicion is that some packets are getting corrupted somehow on
> transmission and then we are having to wait for a TCP retransmit.  A
> tcpdump might yield some interesting information.
> 
> Paul.

Good suggestion, I'll setup a tcp dump and check it out. I did try hacking
the transmit timer without success...

Bob

-- 
Robert E. Brose II    N0QBJ
http://www.jriver.com/~bob/
[email-masked]

[[ This message was sent via the linuxppc-dev mailing list.  Replies are ]]
[[ not  forced  back  to the list, so be sure to Cc linuxppc-dev if your ]]
[[ reply is of general interest. Please check http://lists.linuxppc.org/ ]]
[[ and http://www.linuxppc.org/ for useful information before posting.   ]]